﻿using System;
using System.Reflection;
using System.Windows.Forms;
using Smart.Navigation;

namespace Twainsoft.Articles.DNP.Navigation
{
    public partial class Main : Form
    {
        private readonly Navigator navigator;

        public Main()
        {
            InitializeComponent();

            // Config Navigator
            navigator = new NavigatorConfig()
                .UseControlNavigationProvider(navigationPanel)
                .UseIdViewMapper(m => m.AutoRegister(Assembly.GetExecutingAssembly().ExportedTypes))
                .ToNavigator();
            navigator.Exited += OnExited;
            navigator.Navigating += OnNavigating;

            // Forward
            Show();
            navigator.Forward(ViewId.Menu);
            ((Control)navigator.CurrentView).Focus();
        }

        private void OnNavigating(object sender, NavigationEventArgs e)
        {
            var view = e.ToView as IApplicationView;

            Text = view?.Title ?? string.Empty;
            goHome.Enabled = view?.CanGoHome ?? false;
        }

        private void goHome_Click(object sender, EventArgs e)
        {
            if (navigator.CurrentView is IApplicationView view)
            {
                view.OnGoHome();
            }
        }

        private void OnExited(object sender, EventArgs e)
        {
            Close();
        }
    }
}
