﻿using Smart.Navigation;
using Smart.Navigation.Attributes;
using Smart.Navigation.Plugins.Scope;

namespace Twainsoft.Articles.DNP.Navigation.Navigation.Wizard
{
    [View(ViewId.FirstWizard)]
    public partial class WizardInput1View : ViewBase
    {
        public override string Title => "Input1";

        public override bool CanGoHome => true;

        [Scope]
        public WizardContext Context { get; set; }

        public WizardInput1View()
        {
            InitializeComponent();
        }

        public override void OnNavigatingTo(INavigationContext context)
        {
            Data1Text.Text = Context.Data1;
        }

        public override void OnGoHome()
        {
            Navigator.Forward(ViewId.Menu);
        }

        private void OnPrevButtonClick(object sender, System.EventArgs e)
        {
            Navigator.Forward(ViewId.Menu);
        }

        private void OnNextButtonClick(object sender, System.EventArgs e)
        {
            Context.Data1 = Data1Text.Text;

            Navigator.Forward(ViewId.SecondWizard);
        }
    }
}
