﻿using System.Windows.Forms;
using Smart.Navigation;

namespace Twainsoft.Articles.DNP.Navigation
{
    public partial class ViewBase : UserControl, IApplicationView, INavigatorAware, IConfirmRequest, INavigationEventSupport
    {
        public virtual string Title => string.Empty;

        public virtual bool CanGoHome => false;

        public INavigator Navigator { get; set; }

        public ViewBase()
        {
            InitializeComponent();
        }

        public virtual void OnGoHome()
        {
        }

        public virtual bool CanNavigate(INavigationContext context)
        {
            return true;
        }

        public virtual void OnNavigatingFrom(INavigationContext context)
        {
        }

        public virtual void OnNavigatingTo(INavigationContext context)
        {
        }

        public virtual void OnNavigatedTo(INavigationContext context)
        {
        }
    }
}
